Bug 1007330 (CVE-2013-4344)

Summary: CVE-2013-4344 qemu: buffer overflow in scsi_target_emulate_report_luns
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: areis, ehabkost, jkurik, knoel, lersek, mkenneth, mtosatti, pbonzini, rbalakri, rpacheco, security-response-team, vrozenfe
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20131002,reported=20130912,source=redhat,cvss2=4/AV:A/AC:H/Au:S/C:P/I:P/A:P,rhel-5/kvm=notaffected,rhel-6/qemu-kvm=affected,rhel-7/qemu-kvm=notaffected,fedora-all/qemu=affected,rhel-5/xen=notaffected,fedora-all/xen=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1007331, 1007332, 1007334, 1015274, 1015275, 1130605    
Bug Blocks: 1007342, 1030218    

Description Petr Matousek 2013-09-12 05:46:43 EDT
A buffer overflow flaw was found in the way qemu processed SCSI REPORT LUNS command when excessive LUNS were defined for a single SCSI target.

A privileged guest user could use this flaw to corrupt qemu process memory on the host, which could potentially result in arbitrary code execution on the host with the privileges of the qemu process.

Acknowledgements:

This issue was discovered by Asias He of Red Hat.
Comment 2 Petr Matousek 2013-09-12 05:54:39 EDT
Statement:

This issue does not affect the kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue does affect the qemu-kvm package as shipped with Red Hat Enterprise Linux 6. Future qemu-kvm updates in Red Hat Enterprise Linux 6 may address this flaw.
Comment 3 Vincent Danen 2013-10-02 18:16:11 EDT
This is now public:

http://www.openwall.com/lists/oss-security/2013/10/02/2
Comment 4 Petr Matousek 2013-10-03 15:01:35 EDT
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1015275]
Comment 5 Petr Matousek 2013-10-03 15:01:53 EDT
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1015274]
Comment 6 Fedora Update System 2013-10-14 03:05:50 EDT
qemu-1.4.2-12.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-10-14 13:08:49 EDT
qemu-1.4.2-12.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-10-15 02:37:26 EDT
qemu-1.6.0-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 errata-xmlrpc 2013-11-21 01:00:12 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1553 https://rhn.redhat.com/errata/RHSA-2013-1553.html
Comment 10 errata-xmlrpc 2013-11-21 19:37:28 EST
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2013:1527 https://rhn.redhat.com/errata/RHSA-2013-1527.html
Comment 11 errata-xmlrpc 2013-11-21 19:40:42 EST
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2013:1754 https://rhn.redhat.com/errata/RHSA-2013-1754.html